管理 Google Workspace 管理员隔离区中的电子邮件。
- REST 资源:v1.customers.operations
- REST 资源:v1.customers.quarantinedMessages
- REST 资源:v1.customers.quarantines
服务:mailadminquarantine.googleapis.com
如要调用此服务,我们建议您使用 Google 提供的客户端库。如果您的应用需要使用您自己的库来调用此服务,则在发出 API 请求时应使用以下信息。
服务端点
服务端点是一个基础网址,指定了 API 服务的网络地址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:
https://mailadminquarantine.googleapis.com
REST 资源:v1.customers.operations
| 方法 | |
|---|---|
get |
GET /v1/{name=customers/*/operations/*}获取长时间运行的操作的最新状态。 |
REST 资源:v1.customers.quarantinedMessages
| 方法 | |
|---|---|
batchDeny |
POST /v1/{parent=customers/*}/quarantinedMessages:batchDeny 异步拒绝消息列表。 |
batchRelease |
POST /v1/{parent=customers/*}/quarantinedMessages:batchRelease 异步释放消息列表。 |
deny |
POST /v1/{name=customers/*/quarantinedMessages/*}:deny 拒绝隔离区中的邮件。 |
get |
GET /v1/{name=customers/*/quarantinedMessages/*} 获取隔离邮件的元数据和内容。 |
list |
GET /v1/{parent=customers/*}/quarantinedMessages 使用特定过滤条件查询隔离的邮件。 |
release |
POST /v1/{name=customers/*/quarantinedMessages/*}:release 将邮件从隔离区释放,以便递送给收件人。 |
search |
POST /v1/{parent=customers/*}/quarantinedMessages:search 使用特定搜索查询搜索隔离邮件。 |
REST 资源:v1.customers.quarantines
| 方法 | |
|---|---|
get |
GET /v1/{name=customers/*/quarantines/*} 获取隔离区。 |
list |
GET /v1/{parent=customers/*}/quarantines 返回此客户定义的所有隔离区的列表。 |